Bug 1031953 - ERROR Socket accept failed: java.net.SocketException on graceful server shutdown
ERROR Socket accept failed: java.net.SocketException on graceful server shutdown
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Rémy Maucherat
Radim Hatlapatka
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 03:52 EST by Jitka Kozana
Modified: 2014-10-25 08:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-12 09:03:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Kozana 2013-11-19 03:52:27 EST
EAP 6.2.0.CR2. 
When shutting down the server, the following error was sometimes seen in the log:

[0m[31m01:16:17,783 ERROR [org.apache.tomcat.util] (ajp-/10.16.88.43:8109-Acceptor-0) JBWEB003012: Socket accept failed: java.net.SocketException: Resource temporarily unavailable (errno:11)
	at java.net.PlainSocketImpl.socketAccept(Native Method) [rt.jar:1.7.0.06]
	at java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:398) [rt.jar:1.7.0.06]
	at java.net.ServerSocket.implAccept(ServerSocket.java:528) [rt.jar:1.7.0.06]
	at java.net.ServerSocket.accept(ServerSocket.java:496) [rt.jar:1.7.0.06]
	at org.apache.tomcat.util.net.DefaultServerSocketFactory.acceptSocket(DefaultServerSocketFactory.java:61) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Acceptor.run(JIoEndpoint.java:309) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0.06]


See the server log here:

https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-manu-acceptance-multinode-startup-different-ports-hpux/jdk=jdk17_hpux,label=hpux11v3/20/artifact/target/manu-reports/units/manu.testsuite.eap.eap6.acceptance.multinodeStartup.MultinodeStartupDifferentPorts/as2-output-standalone-ha.xml.0.log
Comment 2 Martin Velas 2014-08-12 09:03:50 EDT
Based on the information provided by Jitka and Petr that this problem has not occurred during 6.3.0.x testing.

Note You need to log in before you can comment on or make changes to this bug.